flext_base::px_object Struct Reference

## Public Member Functions

void | init (flext_base *b, int ix)

## Static Public Member Functions

static void | px_bang (px_object *c)
static void | px_float (px_object *c, t_float f)
static void | px_symbol (px_object *c, const t_symbol *s)
static void | px_anything (px_object *c, const t_symbol *s, int argc, t_atom *argv)

## Public Attributes

t_object | obj
flext_base * | base
int | index

## Member Function Documentation

## init()

void flext_base::px_object::init | ( | flext_base * | b,
|  | int | ix )

inline

## px_anything()

void flext_base::px_object::px_anything | ( | px_object * | c,
|  | const t_symbol * | s,
|  | int | argc,
|  | t_atom * | argv )

static

## px_bang()

void flext_base::px_object::px_bang | ( | px_object * | c | ) |

static

## px_float()

void flext_base::px_object::px_float | ( | px_object * | c,
|  | t_float | f )

static

## px_symbol()

void flext_base::px_object::px_symbol | ( | px_object * | c,
|  | const t_symbol * | s )

static

## Member Data Documentation

## base

flext_base* flext_base::px_object::base

## index

int flext_base::px_object::index

## obj

t_object flext_base::px_object::obj

The documentation for this struct was generated from the following files:

- flclass.h
- flproxy.cpp